#pragma once

#include "ofMain.h"
#include "ofxKinect.h"

// uncomment this to read from two kinects simultaneously
//#define USE_TWO_KINECTS

class testApp : public ofBaseApp {
public:
	
	void setup();
	void update();
	void draw();
	void exit();
	
	
	void keyPressed(int key);
	void mouseDragged(int x, int y, int button);
	void mousePressed(int x, int y, int button);
	void mouseReleased(int x, int y, int button);
	void windowResized(int w, int h);
	
	ofxKinect kinect;
	
	bool useFiltering;
	int innerBandThreshold;
	int outerBandThreshold;
	bool useAverage;
	int averageFrameCount;
	vector<short> averageQueue;
	int totalFrames;
	int lastFrames;
	float lastTime;
	
	int MaxDepthDistance;
	int MinDepthDistance;
	int MaxDepthDistanceOffset;
	void CreateImageFromDepthImage();
	//	private const int RedIndex = 2;
//	private const int GreenIndex = 1;
//	private const int BlueIndex = 0;
	ofImage depthCopy;
	ofShortPixels smoothDepthArray;
	//vector<unsigned char> depthLookupTable;
	void updateDepthLookupTable();
	void smoothDepth();
	int kernelSize;
	ofPixels grayPixels;
	bool doSmoothing;
};
